### Method

# Camel MessageInfo get_folder_flagged

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_get_folder_flagged (
      const CamelMessageInfo* mi
    )

#### Description [src]

The folder flagged flag is used to mark the message infor as being changed and this change should be propagated to the remote store (server). This is different from the ‘dirty’ flag, which is set for local changes only. It can happen that the ‘folder-flagged’ flag is set, but the ‘dirty’ flag not.

This is only a convenient wrapper around CAMEL_MESSAGE_FOLDER_FLAGGED flag, for better readiness of the code.

Available since: 3.24

Gets property | `Camel.MessageInfo:folder-flagged`

#### Return value

Type: `gboolean`

Whether requires save of the local changes into the remote store.